# Cata

Современный календарь и менеджер задач с текстовым интерфейсом (TUI) и настраиваемым интерфейсом. Управляет вашими событиями и задачами, а также может импортировать события и задачи из [taskwarrior](https://github.com/GothenburgBitFactory/taskwarrior).

## Особенности

- Клавиши Vim
- Просмотр задач и событий из файлов .ics, синхронизированных с облаками
- Операции с минимальным количеством нажатий клавиш
- Список задач с подзадачами, сроками и таймерами
- Дни рождения ваших контактов из abook
- Импорт событий и задач из taskwarrior
- Иконки в зависимости от названия ✈ ⛷ ⛱
- Личные события и задачи •••••
- База данных в виде простого текста в вашей папке для синхронизации с облаком
- Настраиваемые цвета, иконки и другие функции
- Адаптация к изменению размера окна и поддержка мобильных устройств
- Текущая погода ⛅

## Установка

### Linux и Mac OS

Есть несколько способов установки:

`pipx install cata` - актуальная версия с PyPi. Возможно, вам нужно сначала установить `pipx`.

### Windows

1. Установите приложение `Windows Terminal` из магазина приложений
2. Установите `python 3.x` также из магазина приложений (если вы просто наберете `python` в приложении Windows Terminal, оно предложит вам установить)
3. Установите программу и библиотеки, набрав в Windows Terminal `pip install windows-curses cata`
4. Теперь вы можете запустить программу, набрав в Windows Terminal `python -m cata`

### Обновление до последней версии

`pipx upgrade cata`

### Зависимости

- `python` версии 3.7 и выше (обычно уже установлен)
- библиотеки `holidays`, `jdatetime`, `icalendar` и `taskw` для python (должны быть установлены автоматически вместе с cata).
- `windows-cata` для Windows

## Использование

Запустите `cata` в вашем терминале. Возможно, вам нужно будет перезапустить терминал после установки.

### Синхронизация с облачными календарями

[Эта страница в документации](https://svyatov-hub.gitbook.io/cata/oblachnaya-sinkhronizaciya) показывает примеры того, как синхронизировать и отображать в режиме только для чтения события и задачи из Nextcloud, Google и других календарей.

### Пользовательские аргументы

[Различные пользовательские аргументы](https://svyatov-hub.gitbook.io/cata/polzovatelskie-argumenty) могут быть добавлены для запуска в специальных режимах, добавления задач и событий и т. д.

### Комбинации клавиш

[Список всех комбинаций клавиш](https://svyatov-hub.gitbook.io/cata/sochetaniya-klavish) доступен в вики и через клавишу `?` в программе.

### Настройки

[Пример файла config.ini](https://svyatov-hub.gitbook.io/cata/nastroiki-po-umolchaniyu) и [объяснения всех настроек](https://svyatov-hub.gitbook.io/cata/nastroiki) доступны в документации.
При первом запуске программа создаст файл `config.ini`, который вы можете редактировать для изменения параметров, цветов и иконок в `~/.config/cata/config.ini`.

### Устранение неполадок

[Типичные проблемы и решения](https://svyatov-hub.gitbook.io/cata/debagging) описаны в документации. Если вы столкнулись с новой проблемой, не стесняйтесь открыть issue.
